Billing

Get subscription tiers (org-level BaaS plans)

**Org-level BaaS plan catalog** (source of truth in paymentService.js). Returns Free, Starter ($29), Growth ($69), Scale ($199), Enterprise. Use for pricing page and to get plan ids for POST /api/billing/org/checkout. Public; no auth required. Each plan includes id (free|starter|growth|scale|enterprise), name, description, price (cents), priceYearly (cents, 8% off), currency, limits, overages, enforcement.

AuthPublic
GroupBilling
Rate limitSee Rate Limits
GET/api/billing/plans

SDK setup

Create a client instance. No authentication is required for this endpoint.

import { Configuration, BillingApi } from 'mudbase-sdk';

const configuration = new Configuration({
  basePath: 'https://cloud.mudbase.dev',
});

const billing = new BillingApi(configuration);
import { Configuration, BillingApi } from 'mudbase-sdk';

const configuration = new Configuration({
  basePath: 'https://cloud.mudbase.dev',
});

const billing = new BillingApi(configuration);

Example request

Call this endpoint using the client from SDK setup. Use View HTTP for a raw cURL example.

const { data: result } = await billing.getSubscriptionTiers();
const { data: result } = await billing.getSubscriptionTiers();

Playground

live

Test this endpoint with your own credentials. Your requests will be sent to the live API.

No Request Yet

Send a request to see the full inspector

Authentication

Public — No Auth Required

Responses

200Plan list
json
{
  "plans": [
    {
      "id": "free",
      "name": "Free",
      "price": 0,
      "priceYearly": 0,
      "currency": "USD"
    },
    {
      "id": "starter",
      "name": "Starter",
      "price": 2900,
      "priceYearly": 32016,
      "currency": "USD"
    }
  ]
}
{
  "plans": [
    {
      "id": "free",
      "name": "Free",
      "price": 0,
      "priceYearly": 0,
      "currency": "USD"
    },
    {
      "id": "starter",
      "name": "Starter",
      "price": 2900,
      "priceYearly": 32016,
      "currency": "USD"
    }
  ]
}
Edit this page on GitHub